--
-- Insertion of a contact and updating status
--
-- @version $Id: msg5.sql 196 2009-05-23 18:35:34Z nichele $
--

--
-- Jill, Hicks
--
INSERT INTO fnbl_pim_contact (id, userid, last_update, status, importance,
sensitivity, subject, folder, anniversary, first_name, middle_name, last_name,
display_name, birthday, body, categories, children, hobbies, initials,
languages, nickname, spouse, suffix, title, gender, assistant, company,
department, job_title, manager, mileage, office_location, profession, companies)
VALUES (
133,
'guest',
0,
'N',
NULL,
NULL,
NULL,
NULL,
NULL,
'Hicks',
NULL,
'Jill',
'Jill, Hicks',
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
'Company',
NULL,
'Business Developer',
NULL,
NULL,
NULL,
NULL,
NULL);

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (133, 4, 'hj@somewhere.com');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (133, 10, '+1 469 1234567');

--
-- Baker, Thomas
--
INSERT INTO fnbl_pim_contact (id, userid, last_update, status, importance,
sensitivity, subject, folder, anniversary, first_name, middle_name, last_name,
display_name, birthday, body, categories, children, hobbies, initials,
languages, nickname, spouse, suffix, title, gender, assistant, company,
department, job_title, manager, mileage, office_location, profession, companies)
VALUES (
134,
'guest',
0,
'N',
NULL,
NULL,
NULL,
NULL,
NULL,
'Thomas',
NULL,
'Baker',
'Baker, Thomas',
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
'Company',
NULL,
'Business Developer',
NULL,
NULL,
NULL,
NULL,
NULL);

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (134, 4, 'bt@somewhere.com');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (134, 10, '+1 650 50504040');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (134, 16, 'Thomas@somewhere.com');

--
-- Adelman, Mary
--
INSERT INTO fnbl_pim_contact (id, userid, last_update, status, importance,
sensitivity, subject, folder, anniversary, first_name, middle_name, last_name,
display_name, birthday, body, categories, children, hobbies, initials,
languages, nickname, spouse, suffix, title, gender, assistant, company,
department, job_title, manager, mileage, office_location, profession, companies)
VALUES (
138,
'guest',
0,
'N',
NULL,
NULL,
NULL,
NULL,
NULL,
'Mary',
'Sarah',
'Adelman',
'Adelman, Mary',
NULL,
'----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------',
NULL,
NULL,
NULL,
NULL,
NULL,
'Maryadel',
NULL,
NULL,
NULL,
NULL,
NULL,
'Company',
NULL,
'Marketing',
NULL,
NULL,
NULL,
NULL,
NULL);

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (138, 4, 'adelman@somewhere.com');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (138, 10, '+1 650 50504040');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (138, 16, 'mary@somewhere.com');

INSERT INTO fnbl_pim_address (contact, type, street, city, state, postal_code,
country, po_box)
VALUES (138, 2, 'Central Parker', 'New York', 'USA', null, 'USA', null);

update fnbl_pim_contact
set status='U',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='scard'
                  )
where id=133 or id=134 or id=138 or id=1001 or id=1003;