--
-- Initialization data for testing and insertion of a contact
--
-- @version $Id: msg5.sql 2 2009-02-11 11:45:37Z nichele $
--
insert into fnbl_pim_address (contact, type, street, city, state, postal_code, country, po_box)
values (4, 1, '24th Street', 'Los Angeles', 'California', '90095', 'Los Angeles', '10');

-- OtherTelephoneNumber
insert into fnbl_pim_contact_item (contact, type, value)
values (4, 30, '111@abc');

-- HomeTelephoneNumber
insert into fnbl_pim_contact_item (contact, type, value)
values (4, 1, '222@bcd');

-- MobileTelephoneNumber
insert into fnbl_pim_contact_item (contact, type, value)
values (4, 3, '333@');

-- HomeFaxNumber
insert into fnbl_pim_contact_item (contact, type, value)
values (4, 2, '444@efg');

-- BusinessTelephoneNumber
insert into fnbl_pim_contact_item (contact, type, value)
values (4, 10, '777@');

update fnbl_pim_contact
set status='U',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='card'
                  )
;

update fnbl_pim_calendar
set status='U',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='cal'
                  )
;
