--
-- Initialization data for testing
--
-- @version $Id: init-master-cared.sql 268 2009-06-18 14:15:03Z luigiafassina $
--
delete from fnbl_client_mapping where principal in
 (select id from fnbl_principal where username='guest');
delete from fnbl_last_sync where principal in
 (select id from fnbl_principal where username='guest');

delete from fnbl_principal where username='guest';

delete from fnbl_device where id='fjm-1215355df35b917ee82';
delete from fnbl_device where id='fwm-35525701681145401';

delete from User_ where userid='guest';
delete from Contact_ where contactid='guest';
delete from Users_Roles where userid='guest';
delete from fnbl_user_role where username='guest';

insert into User_ (userid, companyid, password_, passwordencrypted, passwordexpirationdate, passwordreset, emailaddress, languageid, timezoneid, agreedtotermsofuse, active_)
values ('guest', 'liferay.com', 'YpxcDH4xYk0=', true, NULL, false, 'guest@funambol.com', 'en_US', 'GMT', false, true);

insert into Contact_ (contactid, companyid, userid, username, accountid, firstname, lastname)
values ('guest', 'liferay.com', 'guest', 'guest', 'liferay.com', 'guest', 'guest');

insert into Users_Roles values('guest','1004');

insert into fnbl_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date, charset)
values('fjm-1215355df35b917ee82', 'JavaME Email Client', '', '', '', 'fnbl', null, null, '', 'UTF-8');

insert into fnbl_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date, charset)
values('fwm-35525701681145401', 'WM SmartPhone Client', '', '', '', 'fnbl', null, null, '', 'UTF-8');

insert into fnbl_principal(username, device, id)
values('guest', 'fjm-1215355df35b917ee82', (select counter from fnbl_id where idspace='principal'));

insert into fnbl_principal(username, device, id)
values('guest', 'fwm-35525701681145401', (select counter + 1 from fnbl_id where idspace='principal'));

update fnbl_id set counter=1 + (select max(id) from fnbl_principal),
increment_by=10 where idspace='principal';

delete from fnbl_id where idspace='email.cacheid';
delete from fnbl_id where idspace='email.sentid';
delete from fnbl_id where idspace='email.folderid';
delete from fnbl_id where idspace='email.accountid';

insert into fnbl_id (idspace, counter) values('email.cacheid',0);
insert into fnbl_id (idspace, counter) values('email.sentid',0);
insert into fnbl_id (idspace, counter) values('email.folderid',0);
insert into fnbl_id (idspace, counter) values('email.accountid', 0);

delete from fnbl_pim_contact where userid='guest';

delete from fnbl_email_cache;
delete from fnbl_email_inbox;
delete from fnbl_email_folder;
delete from fnbl_email_push_registry;
delete from fnbl_email_account where username='guest';

insert into fnbl_email_account (account_id, username, ms_login, ms_password,
ms_address, push, max_num_email, max_imap_email, mailserver_id, server_type,
description, protocol, out_server, out_port, out_auth, in_server, in_port, 
sslin, sslout, inbox_name, inbox_active, outbox_name, outbox_active, sent_name,
sent_active, soft_delete, server_public, ms_mailboxname, out_login, out_password, default_account)
values(1, 'guest', 'user.devsim1', 'te9r/pbvNY8FbCb/l1yAcA==',
'user.devsim1@gmail.com', 'N', 30, 10, '1', 'GMail', 'Gmail', 'imap',
'smtp.gmail.com', 465, 'Y', 'imap.gmail.com', 993, 'Y', 'Y', 'Inbox', 'Y',
'Outbox', 'Y', 'Sent', 'N', 'N', 'Y', null, null, null, true);

insert into fnbl_email_push_registry(id, period, active, last_update, status,
task_bean_file, username) values(1, 300000, 'N', '1242059103484', 'N',
'com/funambol/email/inboxlistener/task/InboxListenerTask.xml', 'guest');

-- user and device used by tests for pop

delete from fnbl_client_mapping where principal in
 (select id from fnbl_principal where username='guest1');
delete from fnbl_last_sync where principal in
 (select id from fnbl_principal where username='guest1');

delete from fnbl_principal where username='guest1';

delete from fnbl_device where id='fjm-121ce88dfd2a48e4a2';
delete from fp_device where userid = 'guest1';  

delete from User_ where userid='guest1';
delete from Contact_ where contactid='guest1';
delete from Users_Roles where userid='guest1';
delete from fnbl_user_role where username='guest1';

insert into User_ (userid, companyid, password_, passwordencrypted, passwordexpirationdate, passwordreset,
emailaddress, languageid, timezoneid, agreedtotermsofuse, active_)
values ('guest1', 'liferay.com', 'YpxcDH4xYk0=', true, NULL, false,
'guest1@funambol.com', 'en_US', 'GMT', false, true);

insert into Contact_ (contactid, companyid, userid, username, accountid, firstname, lastname)
values ('guest1', 'liferay.com', 'guest1', 'guest1', 'liferay.com', 'guest1', 'guest1');

insert into Users_Roles values('guest1','1004');

insert into fnbl_device (id, description, type, client_nonce, server_nonce, server_password, id_caps, timezone, convert_date, charset)
values('fjm-121ce88dfd2a48e4a2', 'JavaME Email Client', '', '', '', 'fnbl', null, null, '', 'UTF-8');

insert into fnbl_principal(username, device, id)
values('guest1', 'fjm-121ce88dfd2a48e4a2', (select counter from fnbl_id where idspace='principal'));

update fnbl_id set counter=1 + (select max(id) from fnbl_principal),
increment_by=10 where idspace='principal';

delete from fnbl_pim_contact where userid='guest1';
delete from fnbl_email_account where username='guest1';

insert into fnbl_email_account (username, ms_login, ms_password, ms_address, push, soft_delete, max_num_email,
max_imap_email, mailserver_id, server_public, server_type, description, protocol, out_server, out_port, out_auth,
in_server, in_port, sslin, sslout, inbox_name, inbox_active, outbox_name, outbox_active, sent_name, sent_active,
drafts_name, drafts_active, trash_name, trash_active, account_id, ms_mailboxname, out_login, out_password, default_account)
values ('guest1', 'user.devsim3', 'te9r/pbvNY+pmyMg5nGn+w==', 'user.devsim3@popserver.com', 'N', 'N',
100, 10, '100', 'N', 'Other', 'Other', 'pop3', 'pop.popserver.com', 25, 'Y', 'smtp.popserver.com', 110, 'N', 'N',
'Inbox', 'Y', 'Outbox', 'Y', 'Sent', 'N','Drafts',' N', 'Trash', 'N', 2, null, null, null, true);

insert into fnbl_email_push_registry(id, period, active, last_update, status,
task_bean_file, username) values(2, 300000, 'N', '1242059103484', 'N',
'com/funambol/email/inboxlistener/task/InboxListenerTask.xml', 'guest1');