--
-- Insertion of calendar events
--
-- @version $Id: msg1b.sql 196 2009-05-23 18:35:34Z nichele $

-- delete the existing ones

UPDATE fnbl_pim_calendar
SET status='D',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='scal'
                  );

-- and Insert a new one

insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
busy_status,categories,companies,birthday,duration,dstart,dend,importance,
location,meeting_status,mileage,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,reply_time)

values (99,'guest',0,'N',1,0,'Business Meeting on the run',null,null,null,null,0,'2009-11-11 10:00:00','2009-11-11 11:30:00',
null,'Lisbon',null,null,null,0,null,0,0,0,'Business Meeting on the run',-1,0,0,0,null,0,null,0,null,-1,null);

-- And update his status

UPDATE fnbl_pim_calendar
SET status='N',
    last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='scal'
                  )
WHERE id=99;

