--
-- Initialization data for testing
--
-- @version $Id: msg5.sql 477 2009-10-28 12:50:11Z nichele $
--
INSERT INTO fnbl_pim_contact (id, userid, last_update, status, first_name,
last_name, company, department, job_title)
VALUES (101,'guest',0,'N','Denis','Hennessy','All Materials for you','Building','Architect');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (101, 4, 'denis.hennessy@architect.com');

INSERT INTO fnbl_pim_address (contact, type, street, city, state, postal_code,
country, po_box)
VALUES (
101,
2,
'47 Lower Mount St',
'Honolulu',
'Hawaii',
34567,
'United States',
12345);

INSERT INTO fnbl_pim_contact (id, userid, last_update, status, first_name,
last_name, company, department, job_title)
VALUES (102,'guest',0,'N','Emily','Clark','Data services','Administration','Secretary');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (102, 4, 'emily@gmail.com');

INSERT INTO fnbl_pim_address (contact, type, street, city, state, postal_code,
country, po_box)
VALUES (
102,
2,
'47 Lower Mount St',
'Honolulu',
'Hawaii',
34567,
'United States',
12345);

INSERT INTO fnbl_pim_contact (id, userid, last_update, status, first_name,
last_name, company, department, job_title)
VALUES (103,'guest',0,'N','Michael','Wright','Classic Fractals','Genius','Fractalier');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (103, 4, 'wright@gmail.com');

INSERT INTO fnbl_pim_address (contact, type, street, city, state, postal_code,
country, po_box)
VALUES (
103,
2,
'47 Lower Mount St',
'Honolulu',
'Hawaii',
34567,
'United States',
12345);


update fnbl_pim_contact
set last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='card'
                  )
where id>100 and id<104;

insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
duration,dstart,dend,location,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,dstart_tz,dend_tz,reminder_tz,reply_time)
values (
101,
'guest',
0,
'N',
1,
0,
'Europe Water Works Association Annual Conference',
0,
'2009-03-09 09:00:00',
'2009-03-09 10:00:00',
'Bruxelles',
null,
0,
null,
0,
0,
0,
'Europe Water Works Association Annual Conference',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
'Asia/Shanghai',
'Asia/Shanghai',
'Asia/Shanghai',
null
);

insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
duration,dstart,dend,location,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,dstart_tz,dend_tz,reminder_tz,reply_time)
values (
102,
'guest',
0,
'N',
1,
0,
'Business meeting',
0,
'2009-04-09 09:00:00',
'2009-04-09 10:00:00',
'Bruxelles',
null,
0,
null,
0,
0,
0,
'Business meeting',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
'Asia/Shanghai',
'Asia/Shanghai',
'Asia/Shanghai',
null
);

insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
duration,dstart,dend,location,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,dstart_tz,dend_tz,reminder_tz,reply_time)
values (
103,
'guest',
0,
'N',
1,
0,
'Anniversary',
0,
'2009-05-09 09:00:00',
'2009-05-09 10:00:00',
'Bruxelles',
null,
0,
null,
0,
0,
0,
'Anniversary',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
'Asia/Shanghai',
'Asia/Shanghai',
'Asia/Shanghai',
null
);

update fnbl_pim_calendar
set last_update = (select end_sync
                   from fnbl_last_sync
                   where principal=
                     (select MIN(id) from fnbl_principal where username='guest')
                   and sync_source='cal'
                  )
where id>100 and id<104;
