--
-- Initialization data for testing
--
-- @version $Id: msg1.sql 489 2009-10-31 20:10:49Z nichele $
--
UPDATE fnbl_id SET counter=1, increment_by=1 WHERE idspace='pim.id';
DELETE FROM fnbl_client_mapping WHERE principal=
 (SELECT MIN(id) FROM fnbl_principal WHERE username='guest');
DELETE FROM fnbl_last_sync WHERE principal=
 (SELECT MIN(id) FROM fnbl_principal WHERE username='guest');
DELETE FROM fnbl_pim_address WHERE contact IN
 (SELECT id FROM fnbl_pim_contact WHERE userid='guest');
DELETE FROM fnbl_pim_contact_item WHERE contact IN
 (SELECT id FROM fnbl_pim_contact WHERE userid='guest');
DELETE FROM fnbl_pim_contact WHERE userid='guest';
DELETE FROM fnbl_pim_calendar_exception WHERE calendar in
 (SELECT id FROM fnbl_pim_calendar WHERE userid='guest');
DELETE FROM fnbl_pim_calendar WHERE userid='guest';

update fnbl_device set charset='ISO-8859-1' where id='syncml-phone';

INSERT INTO fnbl_pim_contact (id, userid, last_update, status, importance,
sensitivity, subject, folder, anniversary, first_name, middle_name, last_name,
display_name, birthday, body, categories, children, hobbies, initials,
languages, nickname, spouse, suffix, title, gender, assistant, company,
department, job_title, manager, mileage, office_location, profession, companies)
VALUES (
1,
'guest',
0,
'N',
NULL,
NULL,
NULL,
NULL,
NULL,
'Denis àèìòù',
'Alan àèìòù',
'Hennessy àèìòù',
'Denis Alan Hennessy àèìòù',
NULL,
'This is the brother of Jessy àèìòù',
NULL,
NULL,
'He likes play tennis àèìòù',
NULL,
NULL,
NULL,
NULL,
'Mr. àèìòù',
'Sr. àèìòù',
NULL,
NULL,
'All Materials for you àèìòù',
'Building àèìòù',
'Architect àèìòù',
NULL,
NULL,
NULL,
NULL,
NULL
);

INSERT INTO fnbl_pim_address (contact, type, street, city, state, postal_code,
country, po_box)
VALUES (
1,
2,
'47 Lower Mount St àèìòù',
'Honolulu àèìòù',
'Hawaii àèìòù',
34567,
'United States àèìòù',
12345);

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (1, 4, 'denis.hennessy@àèìòù.com');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (1, 3, '444 444444');

INSERT INTO fnbl_pim_contact (id, userid, last_update, status, importance,
sensitivity, subject, folder, anniversary, first_name, middle_name, last_name,
display_name, birthday, body, categories, children, hobbies, initials,
languages, nickname, spouse, suffix, title, gender, assistant, company,
department, job_title, manager, mileage, office_location, profession, companies)
VALUES (
2,
'guest',
0,
'N',
NULL,
NULL,
NULL,
NULL,
NULL,
'Michael àèìòù',
'Middle',
'Miller àèìòù',
'Michael Middle Miller',
NULL,
'This is the brother of Jessy (<@à#è&=>)',
NULL,
NULL,
'He likes play football',
NULL,
NULL,
NULL,
NULL,
'Mr.',
'Sr.',
NULL,
NULL,
'Business & C <àèìòù>',
'Building',
'Martketing',
NULL,
NULL,
NULL,
NULL,
NULL
);

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (2, 4, 'michael@bus.com');

INSERT INTO fnbl_pim_contact_item (contact, type, value)
VALUES (2, 3, '555 595959');

insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
busy_status,categories,companies,birthday,duration,dstart,dend,importance,
location,meeting_status,mileage,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,reply_time)
values (
3,
'guest',
0,
'N',
1,
0,
'American Water Works Association Annual Conference (àèìòù&)',
null,
'appointment',
null,
null,
0,
null,
null,
null,
'Toronto',
null,
null,
null,
0,
null,
0,
0,
0,
'Water Works Conference (àèìòù&)',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
null
);

insert into fnbl_pim_calendar (id,userid,last_update,status,type,all_day,body,
busy_status,categories,companies,birthday,duration,dstart,dend,importance,
location,meeting_status,mileage,reminder_time,reminder,reminder_sound_file,
reminder_options,reminder_repeat_count,sensitivity,subject,rec_type,
rec_interval,rec_month_of_year,rec_day_of_month,rec_day_of_week_mask,
rec_instance,rec_start_date_pattern,rec_no_end_date,rec_end_date_pattern,
rec_occurrences,reply_time)
values (
4,
'guest',
0,
'N',
1,
0,
'Lunch with Bob in Italian Restaurant (<&$;à@)',
null,
'appointment',
null,
null,
0,
null,
null,
null,
'New York',
null,
null,
null,
0,
null,
0,
0,
0,
'Lunch with Bob (<&$;à@)',
-1,
0,
0,
0,
null,
0,
null,
0,
null,
-1,
null
);
